Subject: Re: bug#12123:

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Apr 2013 22:42:11 +0300

> Date: Sun, 07 Apr 2013 22:06:32 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Code in emacs.c that sets invocation-directory relies on argv[0] to
> either be an absolute file name, or relative to cwd, or a base name
> without leading directories that can be found on PATH.

Btw, even if these conditions _are_ true, I still don't see how can we
find /usr/libexec/emacs/VERSION/CONFIG/, /usr/share/emacs/VERSION/lisp/
using the fact that Emacs was invoked from /usr/bin/.  Which part of
the code knows about VERSION and CONFIG part and looks for them?  All I
see is that we look for lib-src and etc, but that's only good to detect
that we are being run from the build directory, not from where we are
installed.  What am I missing?